Jump to content
K4thos

EET 1.0 Release Candidate 12 up on GitHub

Recommended Posts

Download: https://github.com/K4thos/EET/releases

 

"Release Candidate" definition via wiki: (software development) A version of a program that is nearly ready for release but may still have a few bugs; the status between beta version and release version.

 

Before we can call it version 1.0 following things have to happen:

- new stable WeiDU release

- hopefully a BG2:EE patch that resolves this engine problem. The fog effect in SoD areas looks awful to me (exactly the same as reported in that link by someone else). If this won't be fixed relatively soon than fog effects will be disabled in EET.

- fixing stuff found by you guys - feel free to report problems in this topic (if they haven't been reported already to Beamdog either on forums or directly on redmine)

- call for translators to update new strings added to EET TRA files

 

Keep in mind that installing EET is now done in 2 steps. Core component (setup-EET.exe) on clean BG2:EE installation and last component from setup-EET_end.exe after all other mods are already installed. More information in readme file.

Edited by K4thos

Share this post


Link to post

General installation order:

1. Optionally some BG:EE mods installed on BG:EE available in compatibility list
2. setup-EET on BG2:EE
3. Optionally any other mod with native EET support (including those with patches) installed on BG2:EE (install order using Big World Project list - same as in BGT)
4. Third component of setup-EET_end

 

I will add this information as a separate question in readme file F.A.Q.

 

--------

EET Tweaks ideally should go to step 3 to not make additional exceptions to general rules but considering it doesn't modify dialogs it is safe to be installed at the end if you wish to do so (it doesn't matter).

 

The problem is EET Tweaks mod has't received proper update for new EET features, so some of it's component may not be installable yet or won't work correctly. It will be updated soon to support EET 1.0 RC release.

Edited by K4thos

Share this post


Link to post

Is setup-EET_end.exe generated? I don't see it in the repo.

 

Jarno, there's no difference, download the zip all the same.

Share this post


Link to post
Is setup-EET_end.exe generated? I don't see it in the repo.

it's at the end of tp2 file:

COPY ~%WEIDU_EXECUTABLE%~ ~setup-EET_end%exe%~
    ~EET/lib/EET_end.tp2~ ~setup-EET_end.tp2~

copied just to reduce the package size. That exe variable is used because the mod also supports OSX - although someone needs to test if it installs fine on that system.

Edited by K4thos

Share this post


Link to post

Awesome, grats on the release and thanks for your hard work K4htos!

Share this post


Link to post

So uh, EET... Anybody got it running after agonizing about the Release vs. Master question first?

 

IWDinEET coming later along with EET Tweaks as well right? It's not in the thing now right?

Share this post


Link to post

Congrats from me as well. :thumbsup:

 

I've just installed RC1 and made a quick test run. The game starts fine. I can select and start each campaign. However, I've already noticed two issues.

1. The GUI is a bit mixed up. It appears to use elements from SoD with the BG2 GUI:
post-3876-0-26038400-1469659383_thumb.jpg

2. There is a graphics bug in the opening map of SoD:
post-3876-0-60606300-1469659387_thumb.jpg

The debug files (in case you need them):
SETUP-EET.zip

SETUP-EET_END.zip

Edited by argent77

Share this post


Link to post

That's why I said it is odd, since he said something else. But I don't remember which mods it was about.

 

smeagolheart: no, it's not included now.

Share this post


Link to post

Anyone else having trouble installing EET with the GoG versions? I'm using a modmerged BGEE but EET always returns an "Invalid BG:EE directory, or incorrect BG:EE installation".

(I'm giving it the whole path to the folder containing my chitin.key, in my case: "C:\BGEE\EET-Ready\Baldur's Gate - Enhanced Edition")

Share this post


Link to post

Update: tried it with a fresh, clean BG:EE (SoD) installation, still the same result.

 

The BG:EE installer has version number 2.5.0.7 (which was the latest available version on GoG as of last week and should be patch 2.3, SoD has version number 2.4.0.6 which was also the latest available version and should also be 2.3)

Share this post


Link to post
Guest
You are commenting as a guest. If you have an account, please sign in.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×